import clr
clr.AddReference("System.Windows.Forms")
clr.AddReference("System.Drawing")
clr.AddReference("System.Xml")  

import System.Xml
from System.Windows.Forms import FolderBrowserDialog
from System.Windows.Forms import DialogResult
from System.IO import Directory ,Path
from Rhino import *

import rhinoscriptsyntax as rs

def folderTest():
    dialog = FolderBrowserDialog()

    path = "" 
    if (dialog.ShowDialog() == DialogResult.OK):
        path = dialog.SelectedPath
        
    # Get all the files in the directory
    files = Directory.GetFiles(path)
    
    for file in files:
        if ".jpg" in file or ".jpeg" in file:
            RhinoApp.WriteLine(file)
        
    vRay = rs.GetPlugInObject("V-Ray for Rhino")
    
    tempFilenameSave = Path.GetTempFileName() + ".vrmat"
    tempFilenameLoad = Path.GetTempFileName() + ".vrmat"
    
    vRay.SaveMaterialToFile( "DefaultMaterial", tempFilenameSave );
    
    
    xmldoc = System.Xml.XmlDocument()  
    xmldoc.Load(tempFilenameSave)
    
    items = xmldoc.ChildNodes[0].ChildNodes
    
    for item in items: 
        if item.Attributes["url"].Value == "/DefaultMaterial/Diffuse/Texture/BitmapBuffer":
            for child in item.FirstChild.FirstChild.FirstChild.ChildNodes:
                RhinoApp.WriteLine(child.Attributes["name"].Value)
                if child.Attributes["name"].Value == "file":
                    fileItem = child
                    
    RhinoApp.WriteLine(fileItem.InnerText)
    
    for file in files:
        if ".jpg" in file or ".jpeg" in file:
            fileItem.InnerXml = "<value>" + file + "</value>"
            xmldoc.Save(tempFilenameLoad)
            vRay.LoadVismat(tempFilenameLoad)
    
folderTest()